> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Terminate an email thread

> Permanently close an email thread. Terminated threads cannot be reopened by inbound replies — new replies create a fresh thread instead.



## OpenAPI

````yaml patch /api/v1/email/threads/{threadId}/terminate
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/email/threads/{threadId}/terminate:
    patch:
      tags:
        - Email Threads
      summary: Terminate an email thread
      description: >-
        Permanently close an email thread. Terminated threads cannot be reopened
        by inbound replies — new replies create a fresh thread instead.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: threadId
          in: path
      responses:
        '200':
          description: Thread terminated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  isActive:
                    type: boolean
                  closedReason:
                    type: string
                  closedAt:
                    type: string
                required:
                  - id
                  - isActive
                  - closedReason
                  - closedAt
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '404':
          description: Thread not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````